Ticket #32189

文字コード説明で16進数の数字が点字ディスプレイにカナ表記される

Open Date: 2013-10-07 10:19 Last Update: 2013-12-05 14:25

Reporter: nishimoto Owner: nishimoto
Type: Feature Requests Status: Closed
Component: 音声合成 MileStone: 2013.3jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

チケット #31610 Microsoft IME の候補に含まれる記号を「記号読み上げなし」のときに読まない

http://sourceforge.jp/ticket/browse.php?group_id=4221&tid=31610

に関連して行った作業の影響で、以下の状況になっています。

  • 日本語文字の詳細説明で、説明がない文字は文字コードで通知する。
  • このとき、文字コード説明で16進数の数字は、音声合成エンジンが16進数をなめらかに読まないことが多いため、カナ表記で読み下す処理をする。
  • 結果として、このような状況で点字ディスプレイにも文字コードが「イチニーサンエー」のようにカナ表記される。

この処理は nvdajp_dic.py の getCandidateCharDesc で行っており、音声と点字出力の両方で共通になっています。

点字出力だけ文字説明テキストの生成方法を変えることができるか、あるいは16進数の読み上げを音声合成側だけ工夫するか、検討します。

ただしJTalkドライバだけ読み上げの特別処理をするというアプローチは、少しずつ減らしていく方針です。

Attachment File List

No attachments

Ticket History (3/5 Histories)

2013-10-07 10:19 Updated by: nishimoto
  • New Ticket "文字コード説明で16進数の数字が点字ディスプレイにカナ表記される" created
2013-10-11 23:12 Updated by: nishimoto
  • Resolution Update from None to Accepted
Comment

本件に関するブランチを作りました。

[ti32189 ce2983e] initial work regarding nvdajp 32189
 1 file changed, 11 insertions(+), 9 deletions(-)

現状でやったことは、読みを付与できない文字に「イチニーサンエー」のような読み方をつけるのをやめて 'u+123a' のようにユニコードの文字コードであることをわかる表現にしています。

記号読みレベルを「なし」にすると u の後ろのプラスはよみません。

16進数の数字4ケタをどう読むかは音声エンジン依存になっています。例えば JTalk は最後に a がつくと「アール」と読んでしまいます。また Haruka Desktop は最後に d がつくと「デシ」と読みます。

16進数の読み上げをNVDA側で制御するかどうか、もう少し検討します。

2013-10-16 17:56 Updated by: nishimoto
  • Milestone Update from (None) to 2013.3jp (closed)
  • Resolution Update from Accepted to Fixed
Comment

すこし改良した ti32189 を jpbranch にマージします。

具体的には、文字レビューを3回押したときの文字コードの16進での読み上げは、音声と点字それぞれ最適化した通知を行うようにしました。

2013-10-20 11:04 Updated by: nishimoto
Comment

下記の作業で、"u+xxxx" の形式の音声出力を16進数らしく日本語で読み上げる処理を追加しました。

これは speech モジュールでのグローバルな処理なので、文字コード説明に限らずすべての音声出力で、またすべての音声エンジンで有効です。

[jpbranch 815766e] work around hex code reading in Japanese language. nvdajp ti32189
 2 files changed, 13 insertions(+)
2013-12-05 14:25 Updated by: nishimoto
  • Owner Update from (None) to nishimoto
  • Ticket Close date is changed to 2013-12-05 14:25
  • Status Update from Open to Closed
  • Component Update from (None) to 音声合成

Edit

Please login to add comment to this ticket » Login